- Qt 6.9
- Qt 3D
- C++ Classes
- Qt3DLogic (Deprecated)
- QLogicAspect
- Qt 6.9.2 Reference Documentation

# Qt3DLogic::QLogicAspect Class

class Qt3DLogic::QLogicAspect

Responsible for handling frame synchronization jobs. More...

Header: | `#include <QLogicAspect>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3dlogic)` `target_link_libraries(mytarget PRIVATE Qt6::3dlogic)`
qmake: | `QT += 3dlogic`
Inherits: | Qt3DCore::QAbstractAspect
Status: | Deprecated

- List of all members, including inherited members

## Public Functions

| QLogicAspect(QObject *parent = nullptr)

## Detailed Description

## Member Function Documentation

### `[explicit]` QLogicAspect::QLogicAspect(QObject *parent = nullptr)

Constructs a new Qt3DLogic::QLogicAspect instance with parent.